curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId}/sessions/{sessionId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/sessions/{sessionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "<string>",
"url": "<string>",
"id": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"title": "Maximize Your Potential: Strategies for Success in a Digital World",
"description": "<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>",
"startDateTime": "2025-03-14T05:55:00Z",
"endDateTime": "2025-03-14T05:55:00Z",
"location": [
{
"locationId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"locationName": "Session location",
"type": "STAGE",
"link": "<string>"
}
],
"speakers": [
{
"speakerId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"url": "<string>"
}
],
"sponsors": [
{
"sponsorId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"url": "<string>"
}
],
"tags": [
"tag1",
"tag2"
],
"files": [
{
"fileId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"fileName": "Presentation",
"fileUrl": "https://phoenixlive.imgix.net/9807c938-413f-4a18-8f22-c3ac150f1e61"
}
],
"availableSpots": 100,
"totalCapacity": 100,
"remainingCapacity": 75,
"externalRefId": "d812a64f8865428990249a120792c3d8",
"parentSessionId": "d812a64f8865428990249a120792c3d8"
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}Get session details
Use this endpoint to retrieve the details of a specific session added to a particular event type in your Zuddl organization.
Required API key scopes: READ
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Unique identifier of the session
Response
Session details retrieved successfully
Unique identifier of the session
"d5e31ba5-2d1e-4918-bb60-dd1514b4b397"
Name of the session
"Maximize Your Potential: Strategies for Success in a Digital World"
Description of the session
"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>"
Start date time of the session
"2025-03-14T05:55:00Z"
End date time of the session
"2025-03-14T05:55:00Z"
Location details of the session
Show child attributes
Show child attributes
Speakers of the session
Show child attributes
Show child attributes
Sponsors of the session
Show child attributes
Show child attributes
Tags of the session
Tags of the session
["tag1", "tag2"]
Files of the session
Show child attributes
Show child attributes
Deprecated: use totalCapacity instead. Number of available spots for the session.
100
Total capacity configured for the session. Applies to in-person and hybrid sessions; null for virtual sessions.
100
Number of spots still open for new registrations (totalCapacity minus already-registered users). Applies to in-person and hybrid sessions with a configured capacity; null otherwise.
75
A reference ID that you can use to map this session to your external systems or databases
"d812a64f8865428990249a120792c3d8"
Parent session ID of the session
"d812a64f8865428990249a120792c3d8"
Was this page helpful?